Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
Class RuntimeRedirectAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.codehaus.groovy.grails.webflow.engine.builder.RuntimeRedirectAction

All Implemented Interfaces:
  groovy.lang.GroovyObject, InitializingBean, org.springframework.webflow.execution.Action

    public class RuntimeRedirectAction

extends org.springframework.webflow.action.AbstractAction
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`RuntimeRedirectAction()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`protected org.springframework.webflow.execution.Event` | `doExecute(org.springframework.webflow.execution.RequestContext context)`
`Object` | `getAction()`
`Object` | `getController()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Map` | `getParams()`
`Object` | `getProperty(String property)`
`UrlMappingsHolder` | `getUrlMapper()`
`Object` | `invokeMethod(String method, Object arguments)`
`Object` | `resolveExpression(org.codehaus.groovy.grails.webflow.engine.builder.ExpressionDelegate delegate, Object expression)`
`Object` | `resolveExpressionsInParams(org.codehaus.groovy.grails.webflow.engine.builder.ExpressionDelegate delegate, Map params)`
`void` | `setAction(Object value)`
`void` | `setController(Object value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setParams(Map value)`
`void` | `setProperty(String property, Object value)`
`void` | `setUrlMapper(UrlMappingsHolder value)`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, initAction, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeRedirectAction

    public RuntimeRedirectAction()

Method Detail

### getController

    public Object getController()

### setController

    public void setController(Object value)

### getAction

    public Object getAction()

### setAction

    public void setAction(Object value)

### getParams

    public Map getParams()

### setParams

    public void setParams(Map value)

### getUrlMapper

    public UrlMappingsHolder getUrlMapper()

### setUrlMapper

    public void setUrlMapper(UrlMappingsHolder value)

### resolveExpressionsInParams

    public Object resolveExpressionsInParams(org.codehaus.groovy.grails.webflow.engine.builder.ExpressionDelegate delegate,
                                             Map params)

### resolveExpression

    public Object resolveExpression(org.codehaus.groovy.grails.webflow.engine.builder.ExpressionDelegate delegate,
                                    Object expression)

### doExecute

    protected org.springframework.webflow.execution.Event doExecute(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `doExecute` in class `org.springframework.webflow.action.AbstractAction`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project